## ufl 0.5.2

=== doc/manual/Makefile ===
FILENAME=ufl-user-manual

LATEXFLAGS=-file-line-error-style -interaction=nonstopmode
LATEX=latex $(LATEXFLAGS)
PDFLATEX=pdflatex $(LATEXFLAGS)
REDIRECT=>/dev/null 2>/dev/null

pt: *.tex chapters/*.tex
	$(PDFLATEX) $(FILENAME).tex

ptfinal: $(FILENAME).tex chapters/*.tex bibliography.bib
	bibtex $(FILENAME)
	$(PDFLATEX) $(FILENAME).tex $(REDIRECT)
	makeindex $(FILENAME)
	$(PDFLATEX) $(FILENAME).tex $(REDIRECT)

final: pdf
	echo Done! $(FILENAME).pdf

evince: final
	evince $(FILENAME).pdf &

success: $(FILENAME).tex chapters/*.tex bibliography.bib
	rm -f success
	if $(LATEX) $(FILENAME).tex; then touch success; fi

#$(FILENAME).dvi: $(FILENAME).aux
$(FILENAME).dvi: success
	bibtex $(FILENAME)
	$(LATEX) $(FILENAME).tex $(REDIRECT)
	makeindex $(FILENAME)
	$(LATEX) $(FILENAME).tex $(REDIRECT)

$(FILENAME).ps: $(FILENAME).dvi
	dvips -P pdf -o $(FILENAME).ps $(FILENAME).dvi

$(FILENAME).pdf: $(FILENAME).ps
	ps2pdf $(FILENAME).ps $(FILENAME).pdf

dvi: $(FILENAME).dvi

ps: $(FILENAME).ps

pdf: $(FILENAME).pdf

clean:
	rm -f $(FILENAME).aux
	rm -f $(FILENAME).idx
	rm -f $(FILENAME).log
	rm -f $(FILENAME).out
	rm -f $(FILENAME).toc
	rm -f $(FILENAME).bbl
	rm -f $(FILENAME).blg
	rm -f $(FILENAME).ilg
	rm -f $(FILENAME).ind

purge: clean
	rm -f $(FILENAME).dvi
	rm -f $(FILENAME).ps
	rm -f $(FILENAME).pdf

## ufl 0.5.3

=== debian/changelog ===
ufl (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Package moved from pkg-scicomp to Debian Science.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.9.0 (no changes needed).
  * Fix Vcs fields in debian/control.

 -- Johannes Ring <johannr@simula.no>  Thu, 01 Jul 2010 13:33:41 +0200

ufl (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Tue, 16 Feb 2010 11:17:29 +0100

ufl (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Wed, 03 Feb 2010 20:36:43 +0100

ufl (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Wed, 03 Feb 2010 15:15:36 +0100

ufl (0.4.1-1) unstable; urgency=low

  * New upstream release. This release adds support for unspecified
    (None) degree and shape for auto-detection by form compilers. It 
    also changes the definition of grad for vectors from du_j/dx_i to
    du_i/dx_j.
  * debian/copyright, debian/watch: Update download URLs.

 -- Johannes Ring <johannr@simula.no>  Mon, 07 Dec 2009 13:07:39 +0100

ufl (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #524009)

 -- Johannes Ring <johannr@simula.no>  Thu, 24 Sep 2009 16:21:12 +0200

=== debian/control ===
Source: ufl
Section: python
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all, 
 python-central (>= 0.6.0)
Build-Depends-Indep: texlive-latex-recommended, texlive-latex-extra, 
 texlive-math-extra, ghostscript
Standards-Version: 3.9.0
XS-Python-Version: >= 2.5
Homepage: http://www.fenics.org/wiki/UFL
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ufl/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ufl/trunk/

Package: python-ufl
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-ufl-doc
Description: unified language for form-compilers
 UFL (Unified Form Language) is a unified language for definition of 
 variational forms intended for finite element discretization. More precisely,
 it defines a fixed interface for choosing finite element spaces and defining
 expressions for weak forms in a notation close to mathematical notation. 
 The form compilers FFC and SyFi use UFL as their end-user interface, 
 producing UFC implementations as their output.

Package: python-ufl-doc
Section: doc
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends}
Description: documentation and demos for UFL
 UFL (Unified Form Language) is a unified language for definition of 
 variational forms intended for finite element discretization. More precisely,
 it defines a fixed interface for choosing finite element spaces and defining
 expressions for weak forms in a notation close to mathematical notation. 
 The form compilers FFC and SyFi use UFL as their end-user interface, 
 producing UFC implementations as their output.
 .
 This package contains documentation and demos for UFL.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE := .py .pdf .ufl

USCAN_DESTDIR := $(CURDIR)

clean::
# Cleanups from the user manual generation
	-cd doc/manual && make purge
# There are still some leftovers
	rm -f doc/manual/success
	rm -f doc/manual/ufl-user-manual.pdfsync

build/python-ufl-doc::
# Generate user manual
	cd doc/manual && make final

install/python-ufl::
# hyphen is not allowed as minus sign in manpage
	gzip -d $(DEB_DESTDIR)/usr/share/man/man1/ufl-analyse.1.gz
	gzip -d $(DEB_DESTDIR)/usr/share/man/man1/ufl-convert.1.gz
	sed -i 's/ufl-analyse --quiet=0 --write=1/ufl-analyse \\-\\-quiet=0 \\-\\-write=1/' \
	  $(DEB_DESTDIR)/usr/share/man/man1/ufl-analyse.1
	sed -i 's/ufl-convert -omydir -iyourdir -c -f -tpdf -s/ufl-convert \\-omydir \\-iyourdir \\-c \\-f \\-tpdf \\-s/' \
	  $(DEB_DESTDIR)/usr/share/man/man1/ufl-convert.1
	gzip -9 $(DEB_DESTDIR)/usr/share/man/man1/ufl-analyse.1
	gzip -9 $(DEB_DESTDIR)/usr/share/man/man1/ufl-convert.1
# manpage is not compressed with max compression
	gzip -d $(DEB_DESTDIR)/usr/share/man/man1/ufl2py.1.gz
	gzip -9 $(DEB_DESTDIR)/usr/share/man/man1/ufl2py.1

get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## ufl 0.9.0

=== debian/changelog ===
ufl (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Update Homepage field in debian/control.

 -- Johannes Ring <johannr@simula.no>  Wed, 23 Feb 2011 22:43:52 +0100

ufl (0.5.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Thu, 02 Sep 2010 10:30:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  python-central (>= 0.6.0)
 Build-Depends-Indep: texlive-latex-recommended, texlive-latex-extra, 
  texlive-math-extra, ghostscript
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.5
-Homepage: http://www.fenics.org/wiki/UFL
+Homepage: http://www.fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ufl/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ufl/trunk/

## ufl 0.9.1

=== debian/changelog ===
ufl (0.9.1-1) unstable; urgency=low

  * New upstream release. This release contains a number of new
    features, including the permutation symbol and the application of
    more operators to scalar fields. For form compilers, form
    preprocessing has been improved.
  * Move from python-central to dh_python2 (closes: #617137).
    - Remove python-central from Build-Depends.
    - Bump minimum required python-all package version to 2.6.6-3~.
    - Remove XB-Python-Version lines.
    - Bump minimum required cdbs version to 0.4.90~.
    - Remove DEB_PYTHON_SYSTEM=pycentral from debian/rules.
    - Replace XS-Python-Version with X-Python-Version.
  * Do not generate user manual. Use included PDF from orig tarball
    instead.
  * debian/copyright:
    - Update for upstream license change to LGPLv3.
    - Switch to DEP-5.
  * debian/rules:
    - Use DEB_COMPRESS_EXCLUDE_ALL instead of deprecated
      DEB_COMPRESS_EXCLUDE.
    - Include cdbs utils.mk rule for automated copyright checks.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Tue, 17 May 2011 09:09:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,9 @@
 Priority: extra
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), python-all, 
- python-central (>= 0.6.0)
-Build-Depends-Indep: texlive-latex-recommended, texlive-latex-extra, 
- texlive-math-extra, ghostscript
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Homepage: http://www.fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ufl/trunk
@@ -16,7 +13,6 @@
 
 Package: python-ufl
 Architecture: all
-XB-Python-Version: ${python:Versions}
 Depends: ${python:Depends}, ${misc:Depends}
 Suggests: python-ufl-doc
 Description: unified language for form-compilers
@@ -30,7 +26,6 @@
 Package: python-ufl-doc
 Section: doc
 Architecture: all
-XB-Python-Version: ${python:Versions}
 Depends: ${misc:Depends}
 Description: documentation and demos for UFL
  UFL (Unified Form Language) is a unified language for definition of

## ufl 1.0-rc1

=== debian/changelog ===
ufl (1.0-rc1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Homepage field.
  * Update debian/copyright and debian/copyright_hints.

 -- Johannes Ring <johannr@simula.no>  Tue, 22 Nov 2011 14:20:32 +0100

ufl (1.0-beta3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Add paragraph with GPL-3+ license.

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Oct 2011 20:45:00 +0200

ufl (1.0-beta2-1) unstable; urgency=low

  * New upstream release. This version fixes a minor bug for handling
    constants in forms.
  * debian/control: Set Priority: optional.

 -- Johannes Ring <johannr@simula.no>  Tue, 17 May 2011 12:54:08 +0200

## ufl 1.0.0

=== debian/changelog ===
ufl (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Wed, 07 Dec 2011 14:09:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: ufl
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
-Homepage: http://www.fenicsproject.org
+Homepage: http://fenicsproject.org
 DM-Upload-Allowed: yes
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ufl/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ufl/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,12 @@
 #!/usr/bin/make -f
-
-DEB_PYTHON_SYSTEM = pycentral
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
+include /usr/share/cdbs/1/rules/utils.mk
 
-DEB_COMPRESS_EXCLUDE := .py .pdf .ufl
+DEB_COMPRESS_EXCLUDE_ALL := .py .pdf .ufl
 
 USCAN_DESTDIR := $(CURDIR)
-
-clean::
-# Cleanups from the user manual generation
-	-cd doc/manual && make purge
-# There are still some leftovers
-	rm -f doc/manual/success
-	rm -f doc/manual/ufl-user-manual.pdfsync
-
-build/python-ufl-doc::
-# Generate user manual
-	cd doc/manual && make final
 
 install/python-ufl::
 # hyphen is not allowed as minus sign in manpage
@@ -33,6 +21,8 @@
 # manpage is not compressed with max compression
 	gzip -d $(DEB_DESTDIR)/usr/share/man/man1/ufl2py.1.gz
 	gzip -9 $(DEB_DESTDIR)/usr/share/man/man1/ufl2py.1
+	gzip -d $(DEB_DESTDIR)/usr/share/man/man1/form2ufl.1.gz
+	gzip -9 $(DEB_DESTDIR)/usr/share/man/man1/form2ufl.1
 
 get-orig-source:
 	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

=== debian/watch ===
version=3
http://launchpad.net/ufl/+download http://launchpad.net/ufl/.*/ufl-(.*)\.tar\.gz

## ufl 1.2.0

=== debian/changelog ===
ufl (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Remove DM-Upload-Allowed field.
    - Bump required debhelper version in Build-Depends.
    - Remove cdbs from Build-Depends.
    - Use canonical URIs for Vcs-* fields.
  * debian/compat: Bump to compatibility level 9.
  * debian/rules: Rewrite for debhelper (drop cdbs).

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Jun 2013 13:02:57 +0200

ufl (1.1.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/watch: Replace http with https in URL.

 -- Johannes Ring <johannr@simula.no>  Thu, 10 Jan 2013	10:19:52 +0100

=== debian/watch ===
version=3
https://launchpad.net/ufl/+download https://launchpad.net/ufl/.*/ufl-(.*)\.tar\.gz

## ufl 1.3.0

=== debian/changelog ===
ufl (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Update URL for move to Bitbucket.
  * debian/docs: Remove TODO.
  * debian/python-ufl-doc.docs: Remove ufl-user-manual.pdf.
  * Remove debian/python-ufl-doc.doc-base.

 -- Johannes Ring <johannr@simula.no>  Wed, 26 Jun 2013 14:46:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 7), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Homepage: http://fenicsproject.org
-DM-Upload-Allowed: yes
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/fenics/ufl/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/fenics/ufl/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/ufl/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/ufl/trunk/
 
 Package: python-ufl
 Architecture: all

=== debian/watch ===
version=3
https://bitbucket.org/fenics-project/ufl/downloads/ufl-(.*)\.tar\.gz

## ufl 1.4.0

=== debian/changelog ===
ufl (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.5 (no changes needed).

 -- Johannes Ring <johannr@simula.no>  Tue, 03 Jun 2014 18:21:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 Homepage: http://fenicsproject.org
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/ufl/trunk

## ufl 1.5.0

=== debian/changelog ===
ufl (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Bump X-Python-Version to >= 2.7.
    - Bump python-all in Build-Depends to >= 2.7.
    - Add python-numpy and python-six to Depends field for binary
      package python-ufl.

 -- Johannes Ring <johannr@simula.no>  Mon, 12 Jan 2015 20:43:48 +0100

## ufl 1.6.0

=== debian/changelog ===
ufl (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Tue, 13 Jan 2015 09:30:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.5
+Build-Depends: debhelper (>= 9), python-all (>= 2.7)
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.7
 Homepage: http://fenicsproject.org
 Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/ufl/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/ufl/trunk/
 
 Package: python-ufl
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: python-numpy, python-six, ${python:Depends}, ${misc:Depends}
 Suggests: python-ufl-doc
 Description: unified language for form-compilers
  UFL (Unified Form Language) is a unified language for definition of

=== debian/rules ===
#!/usr/bin/make -f

DEB_DESTDIR = $(CURDIR)/debian/tmp
USCAN_DESTDIR := $(CURDIR)

%:
	dh $@ --with python2

override_dh_compress:
	dh_compress -X.py -X.pdf -X.ufl

override_dh_auto_install:
	dh_auto_install
# hyphen is not allowed as minus sign in manpage
	gzip -d $(DEB_DESTDIR)/usr/share/man/man1/ufl-analyse.1.gz
	gzip -d $(DEB_DESTDIR)/usr/share/man/man1/ufl-convert.1.gz
	sed -i 's/ufl-analyse --quiet=0 --write=1/ufl-analyse \\-\\-quiet=0 \\-\\-write=1/' \
	  $(DEB_DESTDIR)/usr/share/man/man1/ufl-analyse.1
	sed -i 's/ufl-convert -omydir -iyourdir -c -f -tpdf -s/ufl-convert \\-omydir \\-iyourdir \\-c \\-f \\-tpdf \\-s/' \
	  $(DEB_DESTDIR)/usr/share/man/man1/ufl-convert.1
	gzip -9 $(DEB_DESTDIR)/usr/share/man/man1/ufl-analyse.1
	gzip -9 $(DEB_DESTDIR)/usr/share/man/man1/ufl-convert.1

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## ufl 2016.1.0

=== debian/changelog ===
ufl (2016.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Johannes Ring <johannr@simula.no>  Fri, 24 Jun 2016 13:52:59 +0200

ufl (1.6.0-2) unstable; urgency=medium

  * Team upload. 
  * debian/control:
      + Update VCS fields after the move to Git.
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Apr 2016 19:18:05 +0800

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>, Johannes Ring <johannr@simula.no>
 Build-Depends: debhelper (>= 9), python-all (>= 2.7)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: http://fenicsproject.org
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/fenics/ufl/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/fenics/ufl/trunk/
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/ufl.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/ufl.git
 
 Package: python-ufl
 Architecture: all

## ufl 2016.2.0

=== debian/changelog ===
ufl (2016.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Johannes Ring ]
  * Support Python 3: new package python3-ufl.
  * Enable testing.

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Jan 2017 22:46:05 +0800

ufl (2016.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: Check pgp signature.
  * d/control:
    - Remove Christophe Prud'homme from Uploaders (closes: #835021).
    - Add python-setuptools and dh-python to Build-Depends.

 -- Johannes Ring <johannr@simula.no>  Thu, 01 Dec 2016 14:39:31 +0100

=== debian/control ===
Source: ufl
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.7),
 python3-all (>= 3.4),
 python-setuptools,
 python3-setuptools,
 python-numpy,
 python3-numpy,
 python-six,
 python3-six,
 python-pytest,
 python3-pytest
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Homepage: http://fenicsproject.org
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/ufl.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/ufl.git

Package: python-ufl
Architecture: all
Depends:
 python-numpy,
 python-six,
 ${python:Depends},
 ${misc:Depends}
Suggests: python-ufl-doc
Description: unified language for form-compilers (Python 2)
 UFL (Unified Form Language) is a unified language for definition of
 variational forms intended for finite element discretization. More
 precisely, it defines a fixed interface for choosing finite element
 spaces and defining expressions for weak forms in a notation close to
 mathematical notation.  The form compilers FFC and SyFi use UFL as
 their end-user interface, producing UFC implementations as their
 output.
 .
 This package installs the library for Python 2.

Package: python3-ufl
Architecture: all
Depends:
 python3-numpy,
 python3-six,
 ${python3:Depends},
 ${misc:Depends}
Suggests: python-ufl-doc
Description: unified language for form-compilers (Python 3)
 UFL (Unified Form Language) is a unified language for definition of
 variational forms intended for finite element discretization. More
 precisely, it defines a fixed interface for choosing finite element
 spaces and defining expressions for weak forms in a notation close to
 mathematical notation.  The form compilers FFC and SyFi use UFL as
 their end-user interface, producing UFC implementations as their
 output.
 .
 This package installs the library for Python 3.

Package: python-ufl-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation and demos for UFL
 UFL (Unified Form Language) is a unified language for definition of
 variational forms intended for finite element discretization. More precisely,
 it defines a fixed interface for choosing finite element spaces and defining
 expressions for weak forms in a notation close to mathematical notation.
 The form compilers FFC and SyFi use UFL as their end-user interface,
 producing UFC implementations as their output.
 .
 This package contains documentation and demos for UFL.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ufl
#export PYBUILD_DISABLE=test
export PYBUILD_TEST_ARGS={dir}/test
export PYBUILD_TEST_PYTEST=1

DEB_DESTDIR = $(CURDIR)/debian/tmp
USCAN_DESTDIR := $(CURDIR)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf *.egg-info

override_dh_compress:
	dh_compress -X.py -X.ufl

override_dh_auto_install:
	dh_auto_install
	mv debian/python3-ufl/usr/bin/ufl-analyse debian/python3-ufl/usr/bin/ufl-analyse-3
	mv debian/python3-ufl/usr/bin/ufl-convert debian/python3-ufl/usr/bin/ufl-convert-3
	mv debian/python3-ufl/usr/bin/ufl-version debian/python3-ufl/usr/bin/ufl-version-3
	mv debian/python3-ufl/usr/bin/ufl2py debian/python3-ufl/usr/bin/ufl2py-3
	mv debian/python3-ufl/usr/share/man/man1/ufl-analyse.1.gz debian/python3-ufl/usr/share/man/man1/ufl-analyse-3.1.gz
	mv debian/python3-ufl/usr/share/man/man1/ufl-convert.1.gz debian/python3-ufl/usr/share/man/man1/ufl-convert-3.1.gz
	mv debian/python3-ufl/usr/share/man/man1/ufl-version.1.gz debian/python3-ufl/usr/share/man/man1/ufl-version-3.1.gz
	mv debian/python3-ufl/usr/share/man/man1/ufl2py.1.gz debian/python3-ufl/usr/share/man/man1/ufl2py-3.1.gz

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

## ufl 2017.2.0.0

=== debian/changelog ===
ufl (2017.2.0.0-2) unstable; urgency=medium

  * debian/control: update VCS tags to salsa.debian.org

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Feb 2018 22:34:08 +0800

ufl (2017.2.0.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - this is the official 2017.2.0 release. The preceding 2017.2.0
      version was a mislabelled beta release.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Jan 2018 23:19:11 +0800

ufl (2017.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - updated debian/upstream/signing-key.asc for signature
      from the FEniCS Project Steering Council (key BED06106DD22BAB3)
  * Standards-Version: 4.1.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Oct 2017 16:01:28 +0800

ufl (2017.1.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Sep 2017 14:24:16 +0800

ufl (2017.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Disable testing.

 -- Johannes Ring <johannr@simula.no>  Wed, 10 May 2017 12:42:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all (>= 2.7),
  python3-all (>= 3.4),
@@ -16,12 +16,12 @@
  python3-six,
  python-pytest,
  python3-pytest
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Homepage: http://fenicsproject.org
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/ufl.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/ufl.git
+Vcs-Git: https://salsa.debian.org/science-team/fenics/ufl.git
+Vcs-Browser: https://salsa.debian.org/science-team/fenics/ufl
 
 Package: python-ufl
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 #export DH_VERBOSE=1
 export PYBUILD_NAME=ufl
-#export PYBUILD_DISABLE=test
-export PYBUILD_TEST_ARGS={dir}/test
-export PYBUILD_TEST_PYTEST=1
+export PYBUILD_DISABLE=test
+#export PYBUILD_TEST_ARGS={dir}/test
+#export PYBUILD_TEST_PYTEST=1
 
 DEB_DESTDIR = $(CURDIR)/debian/tmp
 USCAN_DESTDIR := $(CURDIR)

## ufl 2018.1.0

=== debian/changelog ===
ufl (2018.1.0-5) unstable; urgency=medium

  * add debian patch inspect_API_update_94c0873.patch
    (upstream commit 94c087314152bdebae53584677c7c4f8392aa7aa)
    to avoid deprecation warnings about inspect.getargspec() in
    algorithms/transformer.py
  * add debian patch test_indexing_fixture_9d11804.patch
    (upstream commit 9d11804abc2442619138d2f112a0e8a1e7e878b3)
    to fix test fixtures in test_indexing.py

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Jan 2019 09:22:32 +0100

ufl (2018.1.0-4) unstable; urgency=medium

  * add Debian patch inspect_API_update_09d5ec8.patch, which applies
    upstream commit 09d5ec8feac3dcdb0a3207d62ac9d8d17eb1d59c
    to avoid deprecation warnings about inspect.getargspec()
  * mark python-ufl-doc as Multi-Arch: foreign
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Jan 2019 08:38:05 +0100

ufl (2018.1.0-3) unstable; urgency=medium

  * don't need fresh source to run autopkgtest (debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jul 2018 15:55:36 +0800

ufl (2018.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * activate autopkgtests via debian/tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jul 2018 00:24:18 +0800

ufl (2018.1.0-1exp2) experimental; urgency=medium

  * python3-ufl Conflicts: python-ufl (<< 2018.1~),
    Replaces: python-ufl. Closes: #901671.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Jun 2018 18:08:19 +0200

ufl (2018.1.0-1exp1) experimental; urgency=medium

  [ Nico Schlömer ]
  * remove Python 2 packages in preparation of 2018.1

  [ Drew Parsons ]
  * New upstream release.
    - python-ufl is now a dummy package depending on python3-ufl.
  * remove ancient-python-version-field X-Python3-Version: >= 3.4

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Jun 2018 00:38:51 +0200

ufl (2017.2.0.0-3) unstable; urgency=medium

  * Depends: python3-pkg-resources. Closes: #896278, #896355.
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Apr 2018 12:18:13 +0800

=== debian/control ===
Source: ufl
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper (>= 12),
 dh-python,
 python3-all (>= 3.4),
 python3-setuptools,
 python3-numpy,
 python3-pytest
Standards-Version: 4.3.0
Homepage: http://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/ufl.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/ufl

Package: python3-ufl
Architecture: all
Depends:
 python3-numpy,
 python3-pkg-resources,
 ${python3:Depends},
 ${misc:Depends}
Suggests: python-ufl-doc
Conflicts: python-ufl (<< 2018.1~)
Replaces: python-ufl
Description: unified language for form-compilers (Python 3)
 UFL (Unified Form Language) is a unified language for definition of
 variational forms intended for finite element discretization. More
 precisely, it defines a fixed interface for choosing finite element
 spaces and defining expressions for weak forms in a notation close to
 mathematical notation.  The form compilers FFC and SyFi use UFL as
 their end-user interface, producing UFC implementations as their
 output.
 .
 This package installs the library for Python 3.

Package: python-ufl
Architecture: all
Depends:
 python3-ufl (>= 2018.1), ${misc:Depends}
Suggests: python-ufl-doc
Description: unified language for form-compilers
 UFL (Unified Form Language) is a unified language for definition of
 variational forms intended for finite element discretization. More
 precisely, it defines a fixed interface for choosing finite element
 spaces and defining expressions for weak forms in a notation close to
 mathematical notation.  The form compilers FFC and SyFi use UFL as
 their end-user interface, producing UFC implementations as their
 output.
 .
 This is a dummy package that depends on python3-ufl.
 (UFL is no longer available for Python 2).

Package: python-ufl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: documentation and demos for UFL
 UFL (Unified Form Language) is a unified language for definition of
 variational forms intended for finite element discretization. More precisely,
 it defines a fixed interface for choosing finite element spaces and defining
 expressions for weak forms in a notation close to mathematical notation.
 The form compilers FFC and SyFi use UFL as their end-user interface,
 producing UFC implementations as their output.
 .
 This package contains documentation and demos for UFL.

## ufl 2019.1.0~git20190220

=== debian/changelog ===
ufl (2019.1.0~git20190220-1) experimental; urgency=medium

  * New upstream test release.
    - applies patches inspect_API_update_09d5ec8.patch
      inspect_API_update_94c0873.patch
      and test_indexing_fixture_9d11804.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2019 02:59:10 +0800

## ufl 2019.1.0

=== debian/changelog ===
ufl (2019.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-ufl

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Jul 2019 12:00:45 +0800

ufl (2019.1.0-1) experimental; urgency=medium

  * New upstream release (official).
  * debhelper 12: Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 10:41:16 +0800

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 12),
  dh-python,
  python3-all (>= 3.4),
  python3-setuptools,
  python3-numpy,
  python3-pytest
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/ufl.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/ufl
@@ -36,23 +36,6 @@
  .
  This package installs the library for Python 3.
 
-Package: python-ufl
-Architecture: all
-Depends:
- python3-ufl (>= 2018.1), ${misc:Depends}
-Suggests: python-ufl-doc
-Description: unified language for form-compilers
- UFL (Unified Form Language) is a unified language for definition of
- variational forms intended for finite element discretization. More
- precisely, it defines a fixed interface for choosing finite element
- spaces and defining expressions for weak forms in a notation close to
- mathematical notation.  The form compilers FFC and SyFi use UFL as
- their end-user interface, producing UFC implementations as their
- output.
- .
- This is a dummy package that depends on python3-ufl.
- (UFL is no longer available for Python 2).
-
 Package: python-ufl-doc
 Section: doc
 Architecture: all

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/fenics-project/ufl/downloads/ufl-(.*)\.tar\.gz

## ufl 2019.2.0~git20200610.3492e72

=== debian/changelog ===
ufl (2019.2.0~git20200610.3492e72-2) unstable; urgency=medium

  * debian patch point_vertex_cells_6b09484.patch applies upstream
    commit #6b09484 to support point/vertex cells.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jul 2020 19:52:16 +0800

ufl (2019.2.0~git20200610.3492e72-1) unstable; urgency=medium

  * New upstream snapshot.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Jun 2020 14:21:06 +0800

ufl (2019.2.0~git20200129.4516a6d-1) unstable; urgency=medium

  * New upstream snapshot for dolfinx.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Apr 2020 22:45:53 +0800

ufl (2019.2.0~git20191118.287c42a-1) experimental; urgency=medium

  * New upstream snapshot for dolfinx.
  * update upstream source repo to https://github.com/FEniCS/ufl
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Jan 2020 01:36:08 +0800

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.4),
  python3-setuptools,
  python3-numpy,
  python3-pytest
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/ufl.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/ufl

## ufl 2019.2.0~git20210211.d60cd09

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/UnifiedFormLanguageUFL.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/UnifiedFormLanguageUFL.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ufl (2019.2.0~git20210211.d60cd09-1) unstable; urgency=medium

  * New upstream snapshot.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Feb 2021 02:12:19 +0100

ufl (2019.2.0~git20200928.057c5f6-1) unstable; urgency=medium

  * New upstream snapshot.
    - applies debian patch point_vertex_cells_6b09484.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 30 Sep 2020 16:30:40 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-numpy,
  python3-pytest
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/ufl.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/ufl

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ufl
export PYBUILD_DISABLE=test
#export PYBUILD_TEST_ARGS={dir}/test
#export PYBUILD_TEST_PYTEST=1

DEB_DESTDIR = $(CURDIR)/debian/tmp
USCAN_DESTDIR := $(CURDIR)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf *.egg-info

override_dh_compress:
	dh_compress -X.py -X.ufl

.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --verbose --destdir $(USCAN_DESTDIR)

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/ filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ufl-$1.tar.gz%" \
 https://github.com/FEniCS/ufl/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ufl 2021.1.0

=== debian/changelog ===
ufl (2021.1.0-4) unstable; urgency=medium

  * release ufl 2021.1 to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Oct 2021 23:38:39 +0200

ufl (2021.1.0-3) experimental; urgency=medium

  * debian patch fix_global_derivatives_PR63.patch applies upstream
    PR#63 to fix handling of global derivatives that triggered an
    Exception in ffcx causing dolfinx tests to fail.
  * update debian/copyright
  * update Build-Depends: python3-all:any (>= 3.6)

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Oct 2021 19:49:23 +0200

ufl (2021.1.0-2) experimental; urgency=medium

  * debian patch prism_PR58.patch adds the prism (wedge) cell.
    Upstream PR#58.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Sep 2021 12:12:07 +0300

ufl (2021.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove signature file (pgpsigurlmangle=*.asc) from debian/watch,
    together with debian/upstream/signing-key.asc.
    Signed release file not provided by github infrastructure.

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 May 2021 15:02:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-all (>= 3.4),
+ python3-all:any (>= 3.6),
  python3-setuptools,
  python3-numpy,
  python3-pytest
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/ufl.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/ufl

=== debian/tests/control ===
Tests: test-ufl
Depends: python3-ufl, python3-pytest, mpi-default-bin

## ufl 2022.1.0

=== debian/changelog ===
ufl (2022.1.0-2) unstable; urgency=medium

  * push ufl 2022.1 to unstable

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Jun 2022 12:30:48 +0200

ufl (2022.1.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patches fix_global_derivatives_PR63.patch
      and prism_PR58.patch
    - update debian/copyright for demo filename change *.ufl -> *.py
  * Build-Depends: pybuild-plugin-pyproject (build with pyproject.toml)
  * run debian/tests over all supported python versions
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Mon, 06 Jun 2022 15:53:01 +0200
